Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
ce728391
Commit
ce728391
authored
Apr 01, 2015
by
Jeff Lowdermilk
Browse files
Options
Browse Files
Download
Plain Diff
Merge pull request #6329 from mbforbes/fixUp
Fix pod that's looked for on kube up.
parents
b3413eaa
152a461f
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
5 additions
and
4 deletions
+5
-4
util.sh
cluster/gce/util.sh
+5
-4
No files found.
cluster/gce/util.sh
View file @
ce728391
...
@@ -46,7 +46,7 @@ function verify-prereqs {
...
@@ -46,7 +46,7 @@ function verify-prereqs {
echo
"SDK can be downloaded from https://cloud.google.com/sdk/."
echo
"SDK can be downloaded from https://cloud.google.com/sdk/."
exit
1
exit
1
fi
fi
fi
fi
done
done
# update and install components as needed
# update and install components as needed
if
[[
"
${
KUBE_PROMPT_FOR_UPDATE
}
"
!=
"y"
]]
;
then
if
[[
"
${
KUBE_PROMPT_FOR_UPDATE
}
"
!=
"y"
]]
;
then
...
@@ -672,11 +672,12 @@ function kube-up {
...
@@ -672,11 +672,12 @@ function kube-up {
# Basic sanity checking
# Basic sanity checking
local
i
local
i
local
rc
# Capture return code without exiting because of errexit bash option
local
rc
# Capture return code without exiting because of errexit bash option
local
pause_pod
=
"google_containers/pause"
for
((
i
=
0
;
i<
${#
MINION_NAMES
[@]
}
;
i++
))
;
do
for
((
i
=
0
;
i<
${#
MINION_NAMES
[@]
}
;
i++
))
;
do
# Make sure docker is installed and working.
# Make sure docker is installed and working.
local
attempt
=
0
local
attempt
=
0
while
true
;
do
while
true
;
do
echo
-n
Attempt
"
$((
$attempt
+
1
))
"
to check Docker on node
"
${
MINION_NAMES
[
$i
]
}
"
...
echo
-n
Attempt
"
$((
$attempt
+
1
))
"
to check Docker
and pause pod
on node
"
${
MINION_NAMES
[
$i
]
}
"
...
local
output
=
$(
gcloud compute
--project
"
${
PROJECT
}
"
ssh
--zone
"
$ZONE
"
"
${
MINION_NAMES
[
$i
]
}
"
--command
"sudo docker ps -a"
2>/dev/null
)
local
output
=
$(
gcloud compute
--project
"
${
PROJECT
}
"
ssh
--zone
"
$ZONE
"
"
${
MINION_NAMES
[
$i
]
}
"
--command
"sudo docker ps -a"
2>/dev/null
)
if
[[
-z
"
${
output
}
"
]]
;
then
if
[[
-z
"
${
output
}
"
]]
;
then
if
((
attempt
>
9
))
;
then
if
((
attempt
>
9
))
;
then
...
@@ -686,10 +687,10 @@ function kube-up {
...
@@ -686,10 +687,10 @@ function kube-up {
echo
-e
"cluster. (sorry!)
${
color_norm
}
"
>
&2
echo
-e
"cluster. (sorry!)
${
color_norm
}
"
>
&2
exit
1
exit
1
fi
fi
elif
[[
"
${
output
}
"
!=
*
"kubernetes/pause"
*
]]
;
then
elif
[[
!
`
echo
"
${
output
}
"
|
grep
"
${
pause_pod
}
"
`
]]
;
then
if
((
attempt
>
9
))
;
then
if
((
attempt
>
9
))
;
then
echo
echo
echo
-e
"
${
color_red
}
Failed to observe
kubernetes/pause
on node
${
MINION_NAMES
[
$i
]
}
. Your cluster is unlikely"
>
&2
echo
-e
"
${
color_red
}
Failed to observe
${
pause_pod
}
on node
${
MINION_NAMES
[
$i
]
}
. Your cluster is unlikely"
>
&2
echo
"to work correctly. Please run ./cluster/kube-down.sh and re-create the"
>
&2
echo
"to work correctly. Please run ./cluster/kube-down.sh and re-create the"
>
&2
echo
-e
"cluster. (sorry!)
${
color_norm
}
"
>
&2
echo
-e
"cluster. (sorry!)
${
color_norm
}
"
>
&2
exit
1
exit
1
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment